Options
The options resource is used to manage custom field values for various related resources.
Option object
{
"id": "01988bb8-2044-7fd8-85aa-4k4nf23l94f2",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"option_field": "activities:type",
"option_value": "Board meeting",
"created_at": "2025-08-08 22:05:56",
"updated_at": "2025-12-29 17:25:54"
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- option_fieldrequired stringField for which the option value is defined. One of:
activities:typecommunication:methodgoals:categorymember_applications:statusmembers:statusrevenues:typerevenues:sourcerevenues:methodrevenues:purposerevenues:campaignstaff:statustracking:itemunits
- option_valuerequired stringCustom value for the option field. Values must be unique to the option field within the same tenant.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Create an option
POST /tenants/{tenantId}/options
The request body must include an option object.
Required permissions
options:create
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Option object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
| 409 | Conflict | Duplicate option_value for the same option_field |
Error object |
List options
GET /tenants/{tenantId}/options
Required permissions
options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of option objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read an option
GET /tenants/{tenantId}/options/{id}
Required permissions
options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Option object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or option ID not found | Error object |
Update an option
PATCH /tenants/{tenantId}/options/{id}
The request body must include parts of an option object.
Required permissions
options:update
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Updated option record | Option object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant or option ID not found | Error object |
| 409 | Conflict | Duplicate option_value for the same option_field |
Error object |
Delete an option
DELETE /tenants/{tenantId}/options/{id}
Required permissions
options:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?